import { ContainerConfiguration } from '../models/configuration/ContainerConfiguration';
import { GameObjects } from 'phaser';
interface ContainerProps {
    configuration?: Partial<ContainerConfiguration>;
}
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        default: (props: Record<string, never>) => unknown;
    }> & {
        default: (props: Record<string, never>) => unknown;
    };
    refs: {};
    rootEl: any;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<ContainerProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    clickoutside: (...args: Phaser.Types.Input.EventData[]) => any;
    drag: (...args: Phaser.Types.Input.EventData[]) => any;
    dragend: (...args: Phaser.Types.Input.EventData[]) => any;
    dragenter: (...args: Phaser.Types.Input.EventData[]) => any;
    dragleave: (...args: Phaser.Types.Input.EventData[]) => any;
    dragover: (...args: Phaser.Types.Input.EventData[]) => any;
    dragstart: (...args: Phaser.Types.Input.EventData[]) => any;
    drop: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerdown: (...args: Phaser.Types.Input.EventData[]) => any;
    pointermove: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerout: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerover: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerup: (...args: Phaser.Types.Input.EventData[]) => any;
    wheel: (...args: Phaser.Types.Input.EventData[]) => any;
    "update:depth": (args_0?: number | undefined) => any;
    "update:hasTransformComponent": (args_0?: boolean | undefined) => any;
    "update:x": (args_0?: number | undefined) => any;
    "update:y": (args_0?: number | undefined) => any;
    "update:z": (args_0?: number | undefined) => any;
    "update:w": (args_0?: number | undefined) => any;
    "update:scale": (args_0?: number | undefined) => any;
    "update:scaleX": (args_0?: number | undefined) => any;
    "update:scaleY": (args_0?: number | undefined) => any;
    "update:angle": (args_0?: number | undefined) => any;
    "update:rotation": (args_0?: number | undefined) => any;
    "update:visible": (args_0?: boolean | undefined) => any;
    "update:active": (args_0?: boolean | undefined) => any;
    "update:width": (args_0?: number | undefined) => any;
    "update:height": (args_0?: number | undefined) => any;
    "update:displayHeight": (args_0?: number | undefined) => any;
    "update:displayWidth": (args_0?: number | undefined) => any;
    "update:tween": (args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => any;
    "update:tweenchain": (args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => any;
    "update:alpha": (args_0?: number | undefined) => any;
    "update:blendMode": (args_0?: string | number | Phaser.BlendModes | undefined) => any;
    "update:mask": (args_0?: Phaser.Display.Masks.BitmapMask | Phaser.Display.Masks.GeometryMask | undefined) => any;
    "update:children": (args_0?: GameObjects.GameObject[] | undefined) => any;
}, string, import('vue').PublicProps, Readonly<ContainerProps> & Readonly<{
    onClickoutside?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDrag?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragend?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragenter?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragleave?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragover?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragstart?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDrop?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerdown?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointermove?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerout?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerover?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerup?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onWheel?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    "onUpdate:depth"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:hasTransformComponent"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:x"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:y"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:z"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:w"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scale"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scaleX"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scaleY"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:angle"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:rotation"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:visible"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:active"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:width"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:height"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayHeight"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayWidth"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:tween"?: ((args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => any) | undefined;
    "onUpdate:tweenchain"?: ((args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => any) | undefined;
    "onUpdate:alpha"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:blendMode"?: ((args_0?: string | number | Phaser.BlendModes | undefined) => any) | undefined;
    "onUpdate:mask"?: ((args_0?: Phaser.Display.Masks.BitmapMask | Phaser.Display.Masks.GeometryMask | undefined) => any) | undefined;
    "onUpdate:children"?: ((args_0?: GameObjects.GameObject[] | undefined) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
