import { SceneWithPlugins } from '../models/scene/SceneWithPlugins';
import { GameObjects } from 'phaser';
import { SetupContext } from 'vue';
export declare const useInitializeGameObjectEvents: () => {
    eventStopHandles: (() => void)[];
    initializeGameObjectEvents: <TEmitsOptions extends Record<string, unknown[]>>(gameObject: GameObjects.GameObject, emit: SetupContext<TEmitsOptions>["emit"], scene: SceneWithPlugins) => void;
};
