import { AlphaSingleConfiguration } from './components/AlphaSingleConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { ComputedSizeConfiguration } from './components/ComputedSizeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface ContainerConfiguration extends AlphaSingleConfiguration, BlendModeConfiguration, ComputedSizeConfiguration, DepthConfiguration, Except<Types.GameObjects.Container.ContainerConfig, keyof Types.GameObjects.GameObjectConfig>, GlobalConfiguration, MaskConfiguration, TransformConfiguration, VisibleConfiguration {
}
