import { ArcConfiguration } from '../configuration/ArcConfiguration';
import { GameObjectEventMapEmitsOptions } from './shared/GameObjectEventMapEmitsOptions';
import { ExtractUpdateEvent } from '../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../util/types/UpdateEvent';
export type ArcEventEmitsOptions = GameObjectEventMapEmitsOptions & {
    [P in UpdateEvent<keyof ArcConfiguration>]: [ArcConfiguration[ExtractUpdateEvent<P>]?];
};
