import { ImageConfiguration } from '../configuration/ImageConfiguration';
import { GameObjectEventMapEmitsOptions } from './shared/GameObjectEventMapEmitsOptions';
import { ExtractUpdateEvent } from '../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../util/types/UpdateEvent';
export type ImageEventEmitsOptions = GameObjectEventMapEmitsOptions & {
    [P in UpdateEvent<keyof ImageConfiguration>]: [ImageConfiguration[ExtractUpdateEvent<P>]?];
};
