import { PathFollowerConfiguration } from '../configuration/PathFollowerConfiguration';
import { GameObjectEventMapEmitsOptions } from './shared/GameObjectEventMapEmitsOptions';
import { ExtractUpdateEvent } from '../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../util/types/UpdateEvent';
export type PathFollowerEventEmitsOptions = GameObjectEventMapEmitsOptions & {
    [P in UpdateEvent<keyof PathFollowerConfiguration>]: [PathFollowerConfiguration[ExtractUpdateEvent<P>]?];
};
