import { TextConfiguration } from '../configuration/TextConfiguration';
import { GameObjectEventMapEmitsOptions } from './shared/GameObjectEventMapEmitsOptions';
import { ExtractUpdateEvent } from '../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../util/types/UpdateEvent';
export type TextEventEmitsOptions = GameObjectEventMapEmitsOptions & {
    [P in UpdateEvent<keyof TextConfiguration>]: [TextConfiguration[ExtractUpdateEvent<P>]?];
};
