import { TileSpriteConfiguration } from '../configuration/TileSpriteConfiguration';
import { GameObjectEventMapEmitsOptions } from './shared/GameObjectEventMapEmitsOptions';
import { ExtractUpdateEvent } from '../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../util/types/UpdateEvent';
export type TileSpriteEventEmitsOptions = GameObjectEventMapEmitsOptions & Record<string, unknown[]> & {
    [P in UpdateEvent<keyof TileSpriteConfiguration>]: [TileSpriteConfiguration[ExtractUpdateEvent<P>]?];
};
