import { GameObjectConfiguration } from '../../configuration/global/GameObjectConfiguration';
import { GameObjectEventMap } from '../../../util/emit/GameObjectEventMap';
import { ExtractUpdateEvent } from '../../../util/types/ExtractUpdateEvent';
import { UpdateEvent } from '../../../util/types/UpdateEvent';
import { Types } from 'phaser';
export type GameObjectEventEmitsOptions = {
    [P in keyof typeof GameObjectEventMap]: Types.Input.EventData[];
} & {
    [P in UpdateEvent<keyof GameObjectConfiguration>]: [GameObjectConfiguration[ExtractUpdateEvent<P>]?];
};
