import { ZoneConfiguration } from '../models/configuration/ZoneConfiguration';
import { SetRequired } from 'type-fest';
interface ZoneProps {
    configuration: SetRequired<Partial<ZoneConfiguration>, "height" | "width" | "x" | "y">;
}
declare const _default: import('vue').DefineComponent<ZoneProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    clickoutside: (...args: Phaser.Types.Input.EventData[]) => any;
    drag: (...args: Phaser.Types.Input.EventData[]) => any;
    dragend: (...args: Phaser.Types.Input.EventData[]) => any;
    dragenter: (...args: Phaser.Types.Input.EventData[]) => any;
    dragleave: (...args: Phaser.Types.Input.EventData[]) => any;
    dragover: (...args: Phaser.Types.Input.EventData[]) => any;
    dragstart: (...args: Phaser.Types.Input.EventData[]) => any;
    drop: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerdown: (...args: Phaser.Types.Input.EventData[]) => any;
    pointermove: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerout: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerover: (...args: Phaser.Types.Input.EventData[]) => any;
    pointerup: (...args: Phaser.Types.Input.EventData[]) => any;
    wheel: (...args: Phaser.Types.Input.EventData[]) => any;
    "update:depth": (args_0?: number | undefined) => any;
    "update:originX": (args_0?: number | undefined) => any;
    "update:originY": (args_0?: number | undefined) => any;
    "update:displayOriginX": (args_0?: number | undefined) => any;
    "update:displayOriginY": (args_0?: number | undefined) => any;
    "update:scrollFactorX": (args_0?: number | undefined) => any;
    "update:scrollFactorY": (args_0?: number | undefined) => any;
    "update:hasTransformComponent": (args_0?: boolean | undefined) => any;
    "update:x": (args_0?: number | undefined) => any;
    "update:y": (args_0?: number | undefined) => any;
    "update:z": (args_0?: number | undefined) => any;
    "update:w": (args_0?: number | undefined) => any;
    "update:scale": (args_0?: number | undefined) => any;
    "update:scaleX": (args_0?: number | undefined) => any;
    "update:scaleY": (args_0?: number | undefined) => any;
    "update:angle": (args_0?: number | undefined) => any;
    "update:rotation": (args_0?: number | undefined) => any;
    "update:visible": (args_0?: boolean | undefined) => any;
    "update:active": (args_0?: boolean | undefined) => any;
    "update:scrollFactor": (args_0?: number | undefined) => any;
    "update:origin": (args_0?: number | undefined) => any;
    "update:width": (args_0?: number | undefined) => any;
    "update:height": (args_0?: number | undefined) => any;
    "update:displayHeight": (args_0?: number | undefined) => any;
    "update:displayWidth": (args_0?: number | undefined) => any;
    "update:tween": (args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => any;
    "update:tweenchain": (args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => any;
}, string, import('vue').PublicProps, Readonly<ZoneProps> & Readonly<{
    onClickoutside?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDrag?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragend?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragenter?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragleave?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragover?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDragstart?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onDrop?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerdown?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointermove?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerout?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerover?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onPointerup?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    onWheel?: ((...args: Phaser.Types.Input.EventData[]) => any) | undefined;
    "onUpdate:depth"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:originX"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:originY"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayOriginX"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayOriginY"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scrollFactorX"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scrollFactorY"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:hasTransformComponent"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:x"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:y"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:z"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:w"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scale"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scaleX"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:scaleY"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:angle"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:rotation"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:visible"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:active"?: ((args_0?: boolean | undefined) => any) | undefined;
    "onUpdate:scrollFactor"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:origin"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:width"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:height"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayHeight"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:displayWidth"?: ((args_0?: number | undefined) => any) | undefined;
    "onUpdate:tween"?: ((args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => any) | undefined;
    "onUpdate:tweenchain"?: ((args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
