import { SceneWithPlugins } from '../models/scene/SceneWithPlugins';
import { SetterMap } from '../models/setterMap/SetterMap';
import { GameObjects } from 'phaser';
import { SetupContext } from 'vue';
export declare const useInitializeGameObject: <TConfiguration extends object, TGameObject extends GameObjects.GameObject, TEmitsOptions extends Record<string, unknown[]>>(create: (scene: SceneWithPlugins) => TGameObject, configuration: () => TConfiguration, emit: SetupContext<TEmitsOptions>["emit"], setterMap: SetterMap<NoInfer<TConfiguration>, TGameObject, TEmitsOptions>, immediate?: true) => void;
