import { SetterMap } from '../models/setterMap/SetterMap';
import { GameObjects } from 'phaser';
import { SetupContext, WatchHandle } from 'vue';
export declare const useInitializeGameObjectSetters: <TConfiguration extends object, TGameObject extends GameObjects.GameObject, TEmitsOptions extends Record<string, unknown[]>>(gameObject: () => TGameObject, configuration: () => TConfiguration, emit: SetupContext<TEmitsOptions>["emit"], setterMap: SetterMap<TConfiguration, TGameObject, TEmitsOptions>, immediate?: true) => {
    initializeGameObjectSetters: (gameObject: TGameObject) => void;
    setterWatchHandles: WatchHandle[];
};
