import { AlphaConfiguration } from './components/AlphaConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { FlipConfiguration } from './components/FlipConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { PipelineConfiguration } from './components/PipelineConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { SizeConfiguration } from './components/SizeConfiguration';
import { TextureCropConfiguration } from './components/TextureCropConfiguration';
import { TintConfiguration } from './components/TintConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface ImageConfiguration extends AlphaConfiguration, BlendModeConfiguration, DepthConfiguration, Except<Types.GameObjects.Sprite.SpriteConfig, "frame" | keyof Types.GameObjects.GameObjectConfig>, FlipConfiguration, GlobalConfiguration, MaskConfiguration, OriginConfiguration, PipelineConfiguration, ScrollFactorConfiguration, SizeConfiguration, TextureCropConfiguration, TintConfiguration, TransformConfiguration, VisibleConfiguration {
}
