import { AlphaSingleConfiguration } from './components/AlphaSingleConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { PipelineConfiguration } from './components/PipelineConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { TextureConfiguration } from './components/TextureConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface NineSliceConfiguration extends AlphaSingleConfiguration, BlendModeConfiguration, DepthConfiguration, Except<Types.GameObjects.NineSlice.NineSliceConfig, "frame" | keyof Types.GameObjects.GameObjectConfig>, GlobalConfiguration, MaskConfiguration, OriginConfiguration, PipelineConfiguration, ScrollFactorConfiguration, TextureConfiguration, TransformConfiguration, VisibleConfiguration {
}
