import { AlphaConfiguration } from './components/AlphaConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { FlipConfiguration } from './components/FlipConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { PathFollowerComponentConfiguration } from './components/PathFollowerComponentConfiguration';
import { PipelineConfiguration } from './components/PipelineConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { SizeConfiguration } from './components/SizeConfiguration';
import { TextureConfiguration } from './components/TextureConfiguration';
import { TintConfiguration } from './components/TintConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface PathFollowerConfiguration extends AlphaConfiguration, BlendModeConfiguration, DepthConfiguration, Except<Types.GameObjects.PathFollower.PathConfig, "rotateToPath">, FlipConfiguration, GlobalConfiguration, MaskConfiguration, OriginConfiguration, PathFollowerComponentConfiguration, PipelineConfiguration, ScrollFactorConfiguration, SizeConfiguration, TextureConfiguration, TintConfiguration, TransformConfiguration, VisibleConfiguration {
}
