import { AlphaConfiguration } from './components/AlphaConfiguration';
import { BlendModeConfiguration } from './components/BlendModeConfiguration';
import { ComputedSizeConfiguration } from './components/ComputedSizeConfiguration';
import { DepthConfiguration } from './components/DepthConfiguration';
import { FlipConfiguration } from './components/FlipConfiguration';
import { MaskConfiguration } from './components/MaskConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { PipelineConfiguration } from './components/PipelineConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { TintConfiguration } from './components/TintConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { Types } from 'phaser';
import { Except } from 'type-fest';
export interface TextConfiguration extends AlphaConfiguration, BlendModeConfiguration, ComputedSizeConfiguration, DepthConfiguration, Except<Types.GameObjects.Text.TextConfig, keyof Types.GameObjects.GameObjectConfig>, FlipConfiguration, GlobalConfiguration, MaskConfiguration, OriginConfiguration, PipelineConfiguration, ScrollFactorConfiguration, TintConfiguration, TransformConfiguration, VisibleConfiguration {
    text: string;
}
