import { DepthConfiguration } from './components/DepthConfiguration';
import { OriginConfiguration } from './components/OriginConfiguration';
import { ScrollFactorConfiguration } from './components/ScrollFactorConfiguration';
import { TransformConfiguration } from './components/TransformConfiguration';
import { VisibleConfiguration } from './components/VisibleConfiguration';
import { GlobalConfiguration } from './global/GlobalConfiguration';
import { GameObjects, Types } from 'phaser';
import { Except } from 'type-fest';
export interface ZoneConfiguration extends DepthConfiguration, Except<Types.GameObjects.Zone.ZoneConfig, keyof Types.GameObjects.GameObjectConfig>, GlobalConfiguration, OriginConfiguration, ScrollFactorConfiguration, TransformConfiguration, VisibleConfiguration {
    displayHeight: GameObjects.Zone["displayHeight"];
    displayWidth: GameObjects.Zone["displayWidth"];
}
