import { TilemapFile } from './TilemapFile';
import { Types, Loader } from 'phaser';
import { TilesetFile } from './TilesetFile';
declare const MultiFile: typeof Loader.MultiFile;
export declare class TiledJSONExternalFile extends MultiFile {
    files: [TilemapFile, ...TilesetFile[]];
    constructor(loader: Loader.LoaderPlugin, key: object | string, tilemapURL?: object | string, path?: object | string, baseURL?: object | string, tilemapXhrSettings?: Types.Loader.XHRSettingsObject, tilesetXhrSettings?: Types.Loader.XHRSettingsObject);
    addToCache(): Promise<void>;
    onFileComplete(file: TilemapFile): void;
}
export {};
