import { SceneWithPlugins } from '../models/scene/SceneWithPlugins';
export declare const useCameraStore: import('pinia').StoreDefinition<"phaser/camera", Pick<{
    fadeIn: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    fadeOut: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    isFading: globalThis.Ref<boolean, boolean>;
}, "isFading">, Pick<{
    fadeIn: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    fadeOut: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    isFading: globalThis.Ref<boolean, boolean>;
}, never>, Pick<{
    fadeIn: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    fadeOut: (scene: SceneWithPlugins, duration?: number | undefined, red?: number | undefined, green?: number | undefined, blue?: number | undefined, callback?: Function | undefined, context?: any) => void;
    isFading: globalThis.Ref<boolean, boolean>;
}, "fadeIn" | "fadeOut">>;
