import { GameObjects, Tweens } from 'phaser';
export declare const TweenSetterMap: {
    readonly tween: (gameObject: GameObjects.GameObject, emit: ((event: "update:tween", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => void) & ((event: "update:tweenchain", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => void)) => (value: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => void;
    readonly tweenchain: (gameObject: GameObjects.GameObject, emit: ((event: "update:tween", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => void) & ((event: "update:tweenchain", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => void)) => (value: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => Tweens.TweenChain | undefined;
};
