import { GameObjects } from 'phaser';
export declare const AnimationSetterMap: {
    readonly animations: (gameObject: GameObjects.Sprite, emit: ((event: "clickoutside", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "drag", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "dragend", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "dragenter", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "dragleave", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "dragover", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "dragstart", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "drop", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "pointerdown", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "pointermove", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "pointerout", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "pointerover", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "pointerup", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "wheel", ...args: Phaser.Types.Input.EventData[]) => void) & ((event: "update:depth", args_0?: number | undefined) => void) & ((event: "update:originX", args_0?: number | undefined) => void) & ((event: "update:originY", args_0?: number | undefined) => void) & ((event: "update:displayOriginX", args_0?: number | undefined) => void) & ((event: "update:displayOriginY", args_0?: number | undefined) => void) & ((event: "update:scrollFactorX", args_0?: number | undefined) => void) & ((event: "update:scrollFactorY", args_0?: number | undefined) => void) & ((event: "update:hasTransformComponent", args_0?: boolean | undefined) => void) & ((event: "update:x", args_0?: number | undefined) => void) & ((event: "update:y", args_0?: number | undefined) => void) & ((event: "update:z", args_0?: number | undefined) => void) & ((event: "update:w", args_0?: number | undefined) => void) & ((event: "update:scale", args_0?: number | undefined) => void) & ((event: "update:scaleX", args_0?: number | undefined) => void) & ((event: "update:scaleY", args_0?: number | undefined) => void) & ((event: "update:angle", args_0?: number | undefined) => void) & ((event: "update:rotation", args_0?: number | undefined) => void) & ((event: "update:visible", args_0?: boolean | undefined) => void) & ((event: "update:active", args_0?: boolean | undefined) => void) & ((event: "update:scrollFactor", args_0?: number | undefined) => void) & ((event: "update:origin", args_0?: number | undefined) => void) & ((event: "update:width", args_0?: number | undefined) => void) & ((event: "update:height", args_0?: number | undefined) => void) & ((event: "update:displayHeight", args_0?: number | undefined) => void) & ((event: "update:displayWidth", args_0?: number | undefined) => void) & ((event: "update:tween", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    } | undefined) => void) & ((event: "update:tweenchain", args_0?: {
        [x: string]: any;
        delay?: (number | Function) | undefined;
        duration?: number | undefined;
        ease?: (string | Function) | undefined;
        easeParams?: any[] | undefined;
        hold?: number | undefined;
        repeat?: number | undefined;
        repeatDelay?: number | undefined;
        yoyo?: boolean | undefined;
        flipX?: boolean | undefined;
        flipY?: boolean | undefined;
        completeDelay?: (string | number | Function | object | any[]) | undefined;
        loop?: (string | number | Function | object | any[]) | undefined;
        loopDelay?: (string | number | Function | object | any[]) | undefined;
        paused?: boolean | undefined;
        props?: {
            [key: string]: (number | string | Phaser.Types.Tweens.GetEndCallback | Phaser.Types.Tweens.TweenPropConfig);
        } | undefined;
        callbackScope?: any;
        onComplete?: Phaser.Types.Tweens.TweenOnCompleteCallback | undefined;
        onCompleteParams?: any[] | undefined;
        onLoop?: Phaser.Types.Tweens.TweenOnLoopCallback | undefined;
        onLoopParams?: any[] | undefined;
        onRepeat?: Phaser.Types.Tweens.TweenOnRepeatCallback | undefined;
        onRepeatParams?: any[] | undefined;
        onStart?: Phaser.Types.Tweens.TweenOnStartCallback | undefined;
        onStartParams?: any[] | undefined;
        onStop?: Phaser.Types.Tweens.TweenOnStopCallback | undefined;
        onStopParams?: any[] | undefined;
        onUpdate?: Phaser.Types.Tweens.TweenOnUpdateCallback | undefined;
        onUpdateParams?: any[] | undefined;
        onYoyo?: Phaser.Types.Tweens.TweenOnYoyoCallback | undefined;
        onYoyoParams?: any[] | undefined;
        onActive?: Phaser.Types.Tweens.TweenOnActiveCallback | undefined;
        onActiveParams?: any[] | undefined;
        onPause?: Phaser.Types.Tweens.TweenOnPauseCallback | undefined;
        onPauseParams?: any[] | undefined;
        onResume?: Phaser.Types.Tweens.TweenOnResumeCallback | undefined;
        onResumeParams?: any[] | undefined;
        persist?: boolean | undefined;
        interpolation?: (string | Function) | undefined;
    }[] | undefined) => void) & ((event: "update:flipX", args_0?: boolean | undefined) => void) & ((event: "update:flipY", args_0?: boolean | undefined) => void) & ((event: "update:alpha", args_0?: number | undefined) => void) & ((event: "update:blendMode", args_0?: string | number | Phaser.BlendModes | undefined) => void) & ((event: "update:key", args_0?: string | Phaser.Textures.Texture | undefined) => void) & ((event: "update:alphaTopLeft", args_0?: number | undefined) => void) & ((event: "update:alphaTopRight", args_0?: number | undefined) => void) & ((event: "update:alphaBottomLeft", args_0?: number | undefined) => void) & ((event: "update:alphaBottomRight", args_0?: number | undefined) => void) & ((event: "update:mask", args_0?: Phaser.Display.Masks.BitmapMask | Phaser.Display.Masks.GeometryMask | undefined) => void) & ((event: "update:defaultPipeline", args_0?: Phaser.Renderer.WebGL.WebGLPipeline | undefined) => void) & ((event: "update:pipeline", args_0?: Phaser.Renderer.WebGL.WebGLPipeline | undefined) => void) & ((event: "update:pipelineData", args_0?: object | undefined) => void) & ((event: "update:frame", args_0?: string | number | undefined) => void) & ((event: "update:texture", args_0?: string | undefined) => void) & ((event: "update:tintTopLeft", args_0?: number | undefined) => void) & ((event: "update:tintTopRight", args_0?: number | undefined) => void) & ((event: "update:tintBottomLeft", args_0?: number | undefined) => void) & ((event: "update:tintBottomRight", args_0?: number | undefined) => void) & ((event: "update:tintFill", args_0?: boolean | undefined) => void) & ((event: "update:tint", args_0?: number | undefined) => void) & ((event: "update:isTinted", args_0?: boolean | undefined) => void) & ((event: "update:useSpriteSheet", args_0?: boolean | undefined) => void) & ((event: "update:animations", args_0?: Phaser.Types.Animations.Animation[] | undefined) => void) & ((event: "update:playAnimationKey", args_0?: string | undefined) => void)) => (configurations: Phaser.Types.Animations.Animation[] | undefined) => void;
    readonly playAnimationKey: (gameObject: GameObjects.Sprite) => (value: string | undefined) => void;
};
